%global pkgname   dirsrv
%define dist	  .el6dsrv

%global selinux_variants strict targeted

# set PIE flag
%global _hardened_build 1

Summary:          Red Hat Directory Server (base)
Name:             redhat-ds-base
Version:          9.1.2
Release:          1%{?dist}
License:          GPLv2 with exceptions
URL:              https://www.redhat.com/directory_server/
Group:            System Environment/Daemons
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# for install
BuildRequires:    coreutils
Requires:         389-ds-base

Source0:          %{name}-%{version}.tar.bz2

%description
Red Hat Directory Server is an LDAPv3 compliant server.  The base package includes
the LDAP server and command line utilities for server administration.

%package          devel
Summary:          Development libraries for Red Hat Directory Server
Group:            Development/Libraries
Requires:         %{name} = %{version}-%{release}
Requires:         389-ds-base-devel

%description      devel
Development Libraries and headers for the Red Hat Directory Server base package.

%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT 

install -d $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/inf
install -p -m 644 redhat-slapd.inf $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/inf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README LICENSE LICENSE.GPLv2
%{_datadir}/%{pkgname}/inf

%files devel
%defattr(-,root,root,-)
%doc README.devel

%changelog
* Wed May 11 2016 Noriko Hosoi <nhosoi@redhat.com> - 9.1.2-1
- release 9.1.2

* Thu Apr 16 2015 Noriko Hosoi <nhosoi@redhat.com> - 9.1.1-2
- release 9.1.1
- Failed QA - fixing it. (bz 1195519#c2)

* Thu Feb 26 2015 Noriko Hosoi <nhosoi@redhat.com> - 9.1.1-1
- release 9.1.1

* Mon Feb 23 2015 Noriko Hosoi <nhosoi@redhat.com> - 9.2.0-1
- bump version to 9.2.0
- fixed bogus dates

* Tue Jan 29 2013 Noriko Hosoi <nhosoi@redhat.com> - 9.1.0-1
- bump version to 9.1.0

* Mon Jun 27 2011 Rich Megginson <rmeggins@redhat.com> - 9.0.0-0.17
- fix console jar file version

* Thu Jun 16 2011 Rich Megginson <rmeggins@redhat.com> - 9.0.0-0.16
- bump rev for rebuild

* Thu Jun 16 2011 Rich Megginson <rmeggins@redhat.com> - 9.0.0-0.15
- recast package to be a skins package for 389-ds-base

* Mon Aug 23 2010 Kevin Wright <kwright@redhat.com> - 9.0.0-0.14.el6dsrv
- rhel6 build with updated sources

* Mon Aug 23 2010 Kevin Wright <kwright@redhat.com> - 9.0.0-0.13.el6dsrv
- rhel6 build with updated sources

* Fri Nov  6 2009 Nathan Kinder <nkinder@redhat.com> - 9.0.0-0.12.el5dsrv
- Respin with updated sources

* Thu Oct 15 2009 Nathan Kinder <nkinder@redhat.com> - 9.0.0-0.11.el5dsrv
- Added selinux-devel subpackage
- Ignore status of condrestart in scriptlets

* Mon Sep 21 2009 Nathan Kinder <nkinder@redhat.com> - 9.0.0-0.10.el5dsrv
- Build SELinux policy module for all base policy types

* Fri Sep 18 2009 Nathan Kinder <nkinder@redhat.com> - 9.0.0-0.9.el5dsrv
- Hardcoded selinux-policy version dependency

* Fri Sep 18 2009 Nathan Kinder <nkinder@redhat.com> - 9.0.0-0.8.el5dsrv
- Added SELinux policy subpackage
- Added SNMP subagent config template and init script
- Enabled PAM passthru plug-in

* Mon Aug 17 2009 Nathan Kinder <nkinder@redhat.com> - 9.0.0-0.7.el5dsrv
- Added instance specific initconfig template.

* Mon Jun 22 2009 Nathan Kinder <nkinder@redhat.com> - 9.0.0-0.6.el5dsrv
- Enabled bitwise plug-in

* Thu Jun 4 2009 Kevin Wright <kwright@redhat.com> - 9.0.0-0.5.el5dsrv
- Respin

* Thu Jun 4 2009 Kevin Wright <kwright@redhat.com> - 9.0.0-0.4.el5dsrv
- Respin

* Wed Jun 3 2009 Kevin Wright <kwright@redhat.com> - 9.0.0-0.3.el5dsrv
- Respin

* Mon Jun 1 2009 Kevin Wright <kwright@redhat.com> - 9.0.0-0.2.el5dsrv
- Respin

* Mon Jun 1 2009 Kevin Wright <kwright@redhat.com> - 9.0.0-0.1.el5dsrv
- Initial brew build for 9.0.0
- added "--with-pcre" to configure line
- added BuildRequires pcre-devel

* Tue Apr 21 2009 Nathan Kinder <nkinder@redhat.com> - 8.1.0-14.el5dsrv
- Resolves: Bug 496836
- Description: corrected semaphore name used by SNMP subagent
- CVS tag Directory_Server_8_1_Candidate_20090421

* Thu Apr 16 2009 Noriko Hosoi <nhosoi@redhat.com> - 8.1.0-0.13.el5dsrv
- Resolves: Bug 475338
- Description: LOG: the intenal type of maxlogsize, maxdiskspace and minfreespace should be 64-bit integer (comment #23)
- CVS tag Directory_Server_8_1_Candidate_20090416

* Thu Apr 16 2009 Rich Megginson <rmeggins@redhat.com> - 8.1.0-0.12.el5dsrv
- used incorrect dist tag

* Thu Apr 16 2009 Rich Megginson <rmeggins@redhat.com> - 8.1.0-0.11.el5dsrv
- Resolves: Bug 475338
- Description: LOG: the intenal type of maxlogsize, maxdiskspace and minfreespace should be 64-bit integer
- CVS tag Directory_Server_8_1_Candidate_20090416

* Thu Apr 02 2009 Nathan Kinder <nkinder@redhat.com> - 8.1.0-0.10.el5dsrv
- Fix return status for init script.

* Wed Apr 1 2009 Kevin Wright <kwright@redhat.com> - 8.1.0-0.9.el5dsrv
- Respin using DSRV-8-RHEL5 branch instead of DSRV-8_1-RHEL5.

* Tue Mar 31 2009 Kevin Wright <kwright@redhat.com> - 8.1.0-0.8.el5dsrv
- Initial brew build for 8.1.0

* Fri Jan 30 2009 Nathan Kinder <nkinder@redhat.com> - 8.1.0-0.7.el5dsrv
- Made devel package depend on mozldap-devel

* Thu Oct 30 2008 Noriko Hosoi <nhosoi@redhat.com> - 8.1.0-0.6.el5dsrv
- added db4-utils to Requires for verify-db.pl

* Mon Oct 13 2008 Noriko Hosoi <nhosoi@redhat.com> - 8.1.0-0.5.el5dsrv
- Enabled LDAPI autobind

* Tue Aug  5 2008 Rich Megginson <rmeggins@redhat.com> - 8.1.0-0.4.el5dsrv
- added winsync-plugin.h to the devel package

* Tue Jul 29 2008 Nathan Kinder <nkinder@redhat.com> - 8.1.0-0.3.el5dsrv
- Enabled LDAPI and the DNA plug-in

* Thu Jul 17 2008 Rich Megginson <rmeggins@redhat.com> - 8.1.0-0.2.el5dsrv
- added man pages

* Tue Apr 22 2008 Noriko Hosoi <nhosoi@redhat.com> - 8.1.0-0.1.el5dsrv
- initial version for RHDS 8.1.0
- removed "--disable-ldapi" from configure parameters

* Fri Apr 18 2008 Noriko Hosoi <nhosoi@redhat.com> - 8.0.0-15.el5dsrv
- Fix memory leaks in extensible filter code

* Mon Mar 03 2008 Nathan Kinder <nkinder@redhat.com> - 8.0.0-14.el5dsrv
- Rebuild.

* Mon Mar 03 2008 Nathan Kinder <nkinder@redhat.com> - 8.0.0-13.el5dsrv
- Fix fractional replication between masters.

* Tue Nov 06 2007 Margaret Lum <mlum@redhat.com> - 8.0.0-11.el5dsrv
- Build officially in Brew.

* Wed Oct 17 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-6.el5dsrv
- remove /var/tmp/dirsrv from package

* Fri Oct  5 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-5.el5dsrv
- The file /etc/sysconfig/dirsrv has been added to the package

* Thu Aug 16 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-4.el5dsrv
- several migration fixes
- fix usage of open() with O_CREAT and db4->open() calls
- update License to GPLv2 with exceptions as per Fedora

* Fri Aug 10 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-3
- Change pathnames to use the pkgname macro which is dirsrv

* Fri Aug 10 2007 Noriko Hosoi <nhosoi@redhat.com> - 8.0.0-2
- upgraded mozldap version to 6.0.4

* Tue Jul 24 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1
- removed fedora-isms, cvsdate

* Tue Jul 24 2007 Margaret Lum <mlum@redhat.com> - 8.0.0-0.3.el5dsrv
- Adding back in cvsdate

* Mon Jul 23 2007 Margaret Lum <mlum@redhat.com> - 8.0.0-0.2.el5dsrv
- Use %{?dist} defined in buildsys-macros

* Mon Jul 23 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-0.1.20070723
- initial version based on fedora-ds-base.spec
